package fxtaidegalleria;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;
import taidegalleria.Tietokanta;


/**
 * @author lainejee
 * @version 26.1.2025
 */
public class TaidegalleriaMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("TaidegalleriaGUIView.fxml"));
            final Pane root = (Pane)ldr.load();
            final TaidegalleriaGUIController taidegalleriaCtrl = (TaidegalleriaGUIController)ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("taidegalleria.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("taidegalleria");
            primaryStage.show();

            Tietokanta tietokanta = new Tietokanta();
            taidegalleriaCtrl.setTietokanta(tietokanta);

            if ( !taidegalleriaCtrl.avaa() ) Platform.exit();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei käytössä
     */
    public static void main(String[] args) {
        launch(args);
    }
}